import { Interface } from '@ethersproject/abi';
import { Token } from '../state';
import ERC20_ABI from './json/erc202.json';
import ERC20_BYTES32_ABI from './json/erc20_bytes32.json';
export interface WalletInfo {
    name: string;
    iconName: string;
    href: string | null;
}
export declare const RPC_CONNECTION = "";
export declare const MULTICALL_ABI: ({
    constant: boolean;
    inputs: {
        components: {
            name: string;
            type: string;
        }[];
        name: string;
        type: string;
    }[];
    name: string;
    outputs: {
        name: string;
        type: string;
    }[];
    payable: boolean;
    stateMutability: string;
    type: string;
} | {
    constant: boolean;
    inputs: {
        name: string;
        type: string;
    }[];
    name: string;
    outputs: {
        name: string;
        type: string;
    }[];
    payable: boolean;
    stateMutability: string;
    type: string;
})[];
export declare const ERC20_INTERFACE: Interface;
declare const ERC20_BYTES32_INTERFACE: Interface;
export { ERC20_ABI as any, ERC20_BYTES32_INTERFACE, ERC20_BYTES32_ABI };
export declare const ERC20_ABI_CONST: ({
    constant: boolean;
    inputs: {
        name: string;
        type: string;
    }[];
    name: string;
    outputs: {
        name: string;
        type: string;
    }[];
    payable: boolean;
    stateMutability: string;
    type: string;
    anonymous?: undefined;
} | {
    payable: boolean;
    stateMutability: string;
    type: string;
    constant?: undefined;
    inputs?: undefined;
    name?: undefined;
    outputs?: undefined;
    anonymous?: undefined;
} | {
    anonymous: boolean;
    inputs: {
        indexed: boolean;
        name: string;
        type: string;
    }[];
    name: string;
    type: string;
    constant?: undefined;
    outputs?: undefined;
    payable?: undefined;
    stateMutability?: undefined;
})[];
export declare const ZERO_ADDRESS = "0x0000000000000000000000000000000000000000";
export declare const NetworkContextName = "NETWORK";
export declare const TOKEN_BALANCE_ABI: any;
export declare const SUPPORTED_WALLETS: {
    [key: string]: WalletInfo;
};
export declare const UNITS: any;
export declare const connectorsByName: {
    [key: string]: any;
};
export declare const ANKR_MAINNET = "https://apis-sj.ankr.com/b108e620bf4a4bf5b17046a7e01db7b3/998f920c655f9467e274df5d3731c869/eth/fast/main";
export declare const ANKR_ROPSTEN = "https://apis.ankr.com/4d2185f26f77469f85564a4c36c9ccbb/998f920c655f9467e274df5d3731c869/eth/fast/ropsten";
export declare const WS_BINANCE_SMART_CHAIN = "wss://apis-sj.ankr.com/wss/eec8e7c4c53c4e869792ad9c5fee3874/998f920c655f9467e274df5d3731c869/binance/full/main";
export declare const WS_AVALANCHE = "wss://apis.ankr.com/wss/d933144a42184729a836a674881808a8/998f920c655f9467e274df5d3731c869/avax/archive/main";
export declare const WS_HECO = "wss://apis.ankr.com/wss/c4ffd3aa047a4271a50dfcc12c473047/998f920c655f9467e274df5d3731c869/heco/fast/main";
export declare const WS_MATIC = "wss://apis-sj.ankr.com/wss/1beb446c629a49419d4dd1bd19b3a59c/998f920c655f9467e274df5d3731c869/polygon/full/main";
export declare const COINGECKO_LIST = "https://tokens.coingecko.com/uniswap/all.json";
export declare const LIST_OF_ETH_TOKENS_LISTS: string[];
export declare const LIST_OF_BSC_TOKENS_LISTS: string[];
export declare const LIST_OF_AVAX_TOKENS_LISTS: string[];
export declare const TOKENS_LIST: {
    [key: number]: Token[];
};
export declare const MAX_ACCEPTED_TOKENS = 3;
export declare const TRADE_MANAGERS: {
    [chainId: number]: string;
};
export declare const TRANSACTION_MANAGERS: {
    [chainId: number]: string;
};
export declare const GAS_CHAINS: {
    [chainId: number]: number;
};
export declare const TOKEN_PALETTE: {
    [chainId: number]: string;
};
